checkToken();
signOut();
var id = getQuery("id");

if(id.length > 0){
    instance.get("users/"+id, {withCredentials: true})
        .then(function(response){
            var listValue = [ "id", "pseudo", "name", "firstName", "email", "birth"];
            for (var i=0; i<listValue.length; i++){
                document.getElementById(listValue[i]+"UpdateInput").value=response.data[listValue[i]];
            }

            
            var listSelector = ["roles", "status"];
            for (var i=0; i<listSelector.length; i++){
                var select = document.getElementById(listSelector[i]+"Selector").querySelectorAll("option");
                for (var j=0; j<select.length; j++){
                    if(select[j].value == response.data[listSelector[i]]){
                        select[j].setAttribute("selected", true);
                    }
                }
            }

            var buttonUser = "";
            switch(response.data.status){
                case 1:
                    buttonUser = "disableUser";
                    break;
                case 2:
                    buttonUser = "enableUser";
                    break;
                case -1:
                    buttonUser = "cancelUser";
                    document.getElementById("removeUser").classList.add("hidden");
                    break;
                case 0:
                    buttonUser = "enableUser";
                    break;
                default:
                    break;

            }
            if(buttonUser.length > 0){
                document.getElementById(buttonUser).classList.remove("hidden");
            }

            var listModalButton = ["disable", "enable", "cancel", "remove"];

            for (var i=0; i<listModalButton.length; i++){
                document.getElementById(listModalButton[i]+"UserButton").addEventListener("click", function(e){
                    var httpMethod = ""
                    var httpUrl = "";
                    var idInput = document.getElementById("idUpdateInput").value;
                    switch(e.currentTarget.id){
                        case "disableUserButton":
                            httpMethod = "delete";
                            httpUrl = "users/disable/"+idInput;
                            break;
                        case "removeUserButton":
                            httpMethod = "delete";
                            httpUrl = "users/"+idInput;
                            break;
                        default:
                            httpMethod = "patch";
                            httpUrl = "users/enable/"+idInput;
                            break;
                    }
                    instance({
                        method: httpMethod,
                        url: httpUrl,
                        withCredentials: true
                    })
                    .then(function(response){
                        if(response.status == 200){
                            location.href="/html/user.html?id="+idInput;
                        }
                    })
                    .catch(function(error){
                        console.log(error);
                    });
                
            });
        }
            
            
        })
        .catch(function(error){
            console.log(error);

        });

        
            
    
}